Package org.pushingpixels.lafwidget.scroll

# Class AutoScrollActivator.AutoScrollProperties

java.lang.Object
org.pushingpixels.lafwidget.scroll.AutoScrollActivator.AutoScrollProperties

Enclosing class:
  `AutoScrollActivator`

protected static class AutoScrollActivator.AutoScrollProperties extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Point`
`currentLocation`
`JPopupMenu`
`iconPopupMenu`
`boolean`
`isDragMode`
`Point`
`startLocation`
`Timer`
`timer`
`AWTEventListener`
`toolkitListener`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AutoScrollProperties()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### startLocation

public Point startLocation

### currentLocation

public Point currentLocation

### timer

public Timer timer

### toolkitListener

public AWTEventListener toolkitListener

### isDragMode

public boolean isDragMode

### iconPopupMenu

public JPopupMenu iconPopupMenu

## Constructor Details

### AutoScrollProperties

protected AutoScrollProperties()